TYPO3.Flow - Bug # 44087

Status: Resolved Priority: Must have
Author: Kien Phuoc Ma Category: Session
Created: 2012-12-18 Assigned To: Robert Lemke
Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git master

Subject: Call to a member function setCookie()

Description

i got a Fatal Error: Call to a member function setCookie()

use by
try { $this->authenticationManager->authenticate();
error_log('LOGGED_IN');
} catch (\TYPO3\Flow\Security\Exception\AuthenticationRequiredException $exception) {
error_log('LOGIN_FAILURE');

Related issues:
duplicated by TYPO3.Flow - Bug # 44086: Call to a member function setCookie() Closed

2012-12-18

Associated revisions

Revision 9a0715¢2 - 2013-04-05 17:05 - Robert Lemke

[BUGFIX] Session: add safeguard against incompatible request handlers
This adds additional checks and throws an exception if a session should be
started but the currently active request handler does not implement the
HttpRequestHandlerInterface.

Change-Id: 1511525f818fbde31b6a8c8793cb2i6519f46a6¢c2

Resolves: #44087

Releases: master, 2.0

Revision 27e892db - 2013-04-05 20:03 - Robert Lemke

[BUGFIX] Session: add safeguard against incompatible request handlers

This adds additional checks and throws an exception if a session should be

started but the currently active request handler does not implement the

HttpRequestHandlerInterface.

Change-Id: 1511525f818fbde31b6a8c8793cb2f6519f46a6¢c2

Resolves: #44087
Releases: master, 2.0
History

#1 - 2012-12-18 12:37 - Kien Phuoc Ma

My Line 255 in Session.php =  $this->response->setCookie($this->sessionCookie);

#2 - 2012-12-18 12:44 - Robert Lemke
- Category set to Session

- Assigned To set to Robert Lemke

#3 - 2013-01-03 14:54 - Jochen Weber

hello robert,

i figured out the problem.

just change line 606 of File TYPOS.Flow/Classes/TYPOS3/Flow/Session/Session.php

from

if ($requestHandler instanceof HttpRequestHandlerInterface) {

to

if (frequestHandler instanceof \TYPO3\Flow\Core\RequestHandlerInterface) {

#4 - 2013-03-27 08:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19339

#5 - 2013-04-05 17:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19339

#6 - 2013-04-05 17:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9a0715c231f715d193c26db1ea8a008727e51adb.

#7 - 2013-04-05 17:37 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19595

#8 - 2013-04-05 20:14 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19595

#9 - 2013-04-05 20:37 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:27e892dbbbb17a5f04deeal1f359b2d5872d1b1c2.
